Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cascading.platform
Class TestPlatform

    java.lang.Object
      cascading.platform.TestPlatform

Direct Known Subclasses:
  HadoopPlatform, LocalPlatform

    public abstract class TestPlatform

extends Object

Field Summary
`static String` | `CLUSTER_TESTING_PROPERTY`

Constructor Summary
`protected` | `TestPlatform()`

Method Summary
`abstract void` | `copyFromLocal(String inputFile)`
`abstract void` | `copyToLocal(String outputFile)`
`abstract Tap` | `getDelimitedFile(Fields fields, boolean skipHeader, boolean writeHeader, String delimiter, String quote, Class[] types, String filename, SinkMode mode)`
`Tap` | `getDelimitedFile(Fields fields, boolean hasHeader, String filename, SinkMode mode)` Deprecated.
`abstract Tap` | `getDelimitedFile(Fields fields, boolean hasHeader, String delimiter, String quote, Class[] types, String filename, SinkMode mode)`
`Tap` | `getDelimitedFile(Fields fields, boolean hasHeader, String delimiter, String quote, String filename, SinkMode mode)`
`Tap` | `getDelimitedFile(Fields fields, String delimiter, Class[] types, String filename, SinkMode mode)`
`Tap` | `getDelimitedFile(Fields fields, String filename, SinkMode mode)` Deprecated.
`Tap` | `getDelimitedFile(Fields fields, String delimiter, String filename)`
`Tap` | `getDelimitedFile(Fields fields, String delimiter, String filename, SinkMode mode)`
`Tap` | `getDelimitedFile(Fields fields, String delimiter, String quote, String filename, SinkMode mode)`
`abstract Tap` | `getDelimitedFile(String delimiter, String quote, FieldTypeResolver fieldTypeResolver, String filename, SinkMode mode)`
`FlowConnector` | `getFlowConnector()`
`abstract FlowConnector` | `getFlowConnector(Map<Object,Object> properties)`
`abstract FlowProcess` | `getFlowProcess()`
`static Map<Object,Object>` | `getGlobalProperties()` Method getGlobalProperties fetches all "platform." prefixed system properties.
`abstract String` | `getHiddenTemporaryPath()`
`abstract Comparator` | `getLongComparator(boolean reverseSort)`
`String` | `getName()`
`int` | `getNumMappers()`
`int` | `getNumReducers()`
`abstract Map<Object,Object>` | `getProperties()`
`abstract Comparator` | `getStringComparator(boolean reverseSort)`
`Tap` | `getTabDelimitedFile(Fields fields, boolean hasHeader, String filename, SinkMode mode)`
`Tap` | `getTabDelimitedFile(Fields fields, String filename, SinkMode mode)`
`abstract Tap` | `getTap(Scheme scheme, String filename, SinkMode mode)`
`abstract Tap` | `getTemplateTap(Tap sink, String pathTemplate, Fields fields, int openThreshold)`
`abstract Tap` | `getTemplateTap(Tap sink, String pathTemplate, int openThreshold)`
`abstract Scheme` | `getTestConfigDefScheme()`
`abstract Scheme` | `getTestFailScheme()`
`abstract Tap` | `getTextFile(Fields sourceFields, Fields sinkFields, String filename, SinkMode mode)`
`Tap` | `getTextFile(Fields sourceFields, String filename)`
`Tap` | `getTextFile(Fields sourceFields, String filename, SinkMode mode)`
`Tap` | `getTextFile(String filename)`
`Tap` | `getTextFile(String filename, SinkMode mode)`
`boolean` | `isMapReduce()`
`boolean` | `isUseCluster()`
`abstract boolean` | `remoteExists(String outputFile)`
`abstract boolean` | `remoteRemove(String outputFile, boolean recursive)`
`void` | `setNumMappers(int numMappers)`
`void` | `setNumReducers(int numReducers)`
`abstract void` | `setUp()`
`void` | `setUseCluster(boolean useCluster)`
`abstract void` | `tearDown()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CLUSTER_TESTING_PROPERTY

    public static final String CLUSTER_TESTING_PROPERTY

See Also:
  Constant Field Values

Constructor Detail

### TestPlatform

    protected TestPlatform()

Method Detail

### getGlobalProperties

    public static Map<Object,Object> getGlobalProperties()

  Method getGlobalProperties fetches all "platform." prefixed system properties.

  Sub-classes of TestPlatform should use these values as overrides before returning from `getProperties()`.

  Returns:
    a Map of properties

### getName

    public String getName()

### isMapReduce

    public boolean isMapReduce()

### getNumMappers

    public int getNumMappers()

### setNumMappers

    public void setNumMappers(int numMappers)

### getNumReducers

    public int getNumReducers()

### setNumReducers

    public void setNumReducers(int numReducers)

### setUp

    public abstract void setUp()
                        throws IOException

  Throws:
    `IOException`

### getProperties

    public abstract Map<Object,Object> getProperties()

### tearDown

    public abstract void tearDown()

### setUseCluster

    public void setUseCluster(boolean useCluster)

### isUseCluster

    public boolean isUseCluster()

### copyFromLocal

    public abstract void copyFromLocal(String inputFile)
                                throws IOException

  Throws:
    `IOException`

### copyToLocal

    public abstract void copyToLocal(String outputFile)
                              throws IOException

  Throws:
    `IOException`

### remoteExists

    public abstract boolean remoteExists(String outputFile)
                                  throws IOException

  Throws:
    `IOException`

### remoteRemove

    public abstract boolean remoteRemove(String outputFile,
                                         boolean recursive)
                                  throws IOException

  Throws:
    `IOException`

### getFlowProcess

    public abstract FlowProcess getFlowProcess()

### getFlowConnector

    public abstract FlowConnector getFlowConnector(Map<Object,Object> properties)

### getFlowConnector

    public FlowConnector getFlowConnector()

### getTap

    public abstract Tap getTap(Scheme scheme,
                               String filename,
                               SinkMode mode)

### getTextFile

    public Tap getTextFile(Fields sourceFields,
                           String filename)

### getTextFile

    public Tap getTextFile(String filename)

### getTextFile

    public Tap getTextFile(String filename,
                           SinkMode mode)

### getTextFile

    public Tap getTextFile(Fields sourceFields,
                           String filename,
                           SinkMode mode)

### getTextFile

    public abstract Tap getTextFile(Fields sourceFields,
                                    Fields sinkFields,
                                    String filename,
                                    SinkMode mode)

### getDelimitedFile

    public Tap getDelimitedFile(Fields fields,
                                String delimiter,
                                String filename)

### getDelimitedFile

    public Tap getDelimitedFile(Fields fields,
                                String delimiter,
                                String filename,
                                SinkMode mode)

### getDelimitedFile

    @Deprecated
    public Tap getDelimitedFile(Fields fields,
                                           String filename,
                                           SinkMode mode)

  Deprecated.

### getDelimitedFile

    @Deprecated
    public Tap getDelimitedFile(Fields fields,
                                           boolean hasHeader,
                                           String filename,
                                           SinkMode mode)

  Deprecated.

### getTabDelimitedFile

    public Tap getTabDelimitedFile(Fields fields,
                                   String filename,
                                   SinkMode mode)

### getTabDelimitedFile

    public Tap getTabDelimitedFile(Fields fields,
                                   boolean hasHeader,
                                   String filename,
                                   SinkMode mode)

### getDelimitedFile

    public Tap getDelimitedFile(Fields fields,
                                boolean hasHeader,
                                String delimiter,
                                String quote,
                                String filename,
                                SinkMode mode)

### getDelimitedFile

    public Tap getDelimitedFile(Fields fields,
                                String delimiter,
                                String quote,
                                String filename,
                                SinkMode mode)

### getDelimitedFile

    public Tap getDelimitedFile(Fields fields,
                                String delimiter,
                                Class[] types,
                                String filename,
                                SinkMode mode)

### getDelimitedFile

    public abstract Tap getDelimitedFile(Fields fields,
                                         boolean hasHeader,
                                         String delimiter,
                                         String quote,
                                         Class[] types,
                                         String filename,
                                         SinkMode mode)

### getDelimitedFile

    public abstract Tap getDelimitedFile(Fields fields,
                                         boolean skipHeader,
                                         boolean writeHeader,
                                         String delimiter,
                                         String quote,
                                         Class[] types,
                                         String filename,
                                         SinkMode mode)

### getDelimitedFile

    public abstract Tap getDelimitedFile(String delimiter,
                                         String quote,
                                         FieldTypeResolver fieldTypeResolver,
                                         String filename,
                                         SinkMode mode)

### getTemplateTap

    public abstract Tap getTemplateTap(Tap sink,
                                       String pathTemplate,
                                       int openThreshold)

### getTemplateTap

    public abstract Tap getTemplateTap(Tap sink,
                                       String pathTemplate,
                                       Fields fields,
                                       int openThreshold)

### getTestConfigDefScheme

    public abstract Scheme getTestConfigDefScheme()

### getTestFailScheme

    public abstract Scheme getTestFailScheme()

### getLongComparator

    public abstract Comparator getLongComparator(boolean reverseSort)

### getStringComparator

    public abstract Comparator getStringComparator(boolean reverseSort)

### getHiddenTemporaryPath

    public abstract String getHiddenTemporaryPath()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007-2013 Concurrent, Inc. All Rights Reserved.